Package org.gradle.tooling.model.idea

# Interface IdeaDependency

All Superinterfaces:
  `Dependency`

All Known Subinterfaces:
  `IdeaModuleDependency`, `IdeaSingleEntryLibraryDependency`

public interface IdeaDependency extends Dependency
IDEA dependency.

Since:
  1.0-milestone-5

## Method Summary

Modifier and Type
Method
Description
`boolean`
`getExported()`
Allows to check if current dependency is transitive, i.e. is visible to the module which depends on module that has current dependency.
`IdeaDependencyScope`
`getScope()`
scope of the current dependency.

## Method Details

### getScope

IdeaDependencyScope getScope()
scope of the current dependency. Not-`null` all the time

Returns:
  scope

### getExported

boolean getExported()
Allows to check if current dependency is transitive, i.e. is visible to the module which depends on module that has current dependency.

Returns:
  `true` if current dependency is transitive; `false` otherwise